package csit105demochapter02f20;

import javax.swing.JOptionPane;

/**
 * This program demonstrates using dialogs with JOptionPane.
 *
 * @author Tony Gaddis
 */
public class PayrollDialog {

    /**
     * The main method is the program's starting point.
     *
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        String name, // The user's name
                inputString;  // To hold input
        int hours;           // Hours worked
        /* Note: in reality, hours worked
                              can be a decimal, this is just meant
                              to be an example of int */
        double payRate, // Hourly pay rate
                grossPay;     // Gross pay

        // Get the user's name.
        name = JOptionPane.showInputDialog("What is your name?");

        // Get the hours worked.
        inputString = JOptionPane.showInputDialog("How many hours "
                + "did you work this week?");
        hours = Integer.parseInt(inputString);

        // Get the hourly pay rate.
        inputString = JOptionPane.showInputDialog("What is your "
                + "hourly pay rate?");
        payRate = Double.parseDouble(inputString);

        // Calculate the gross pay.
        grossPay = hours * payRate;

        // Display the results.
        JOptionPane.showMessageDialog(null, "Hello " + name
                + ". Your gross pay is $" + grossPay);

        // close the JOptionPane thread.
        System.exit(0);
    }
}
