package csit105demochapter02f20;

import javax.swing.JOptionPane;
import java.text.DecimalFormat;

/**
 * This program calculates the estimated cost for taking a trip in a car
 * History:
 * Date Written:    4/1/2004
 * Date Modified:   2/11/2008 - replaced BufferedReader with Scanner
 *                              Changed Class Name, Changed distance to totalMiles,
 *                              Added comments, fixed args
 *                  5/24/2008 - changed Class Name
 *                  9/14/2008 - changed class for Demo
 *                  5/26/2015 - incorporated dialogs
 * @author Stephen Brower - inspired by an assignment by Tony Gaddis
 */
public class TripCalculatorDialog {

    /**
     * The main method is the program's starting point.
     *
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        // declare variables
        double milesPerGallon, averageCostOfGas, totalMiles, costOfTrip;
        String inputString;  // To temporarily hold input
        DecimalFormat moneyFormat = new DecimalFormat("#,##0.00");

        // Get Data
        inputString = JOptionPane.showInputDialog("Enter estimated total miles of trip");
        totalMiles = Double.parseDouble(inputString);

        inputString = JOptionPane.showInputDialog("Enter MPG");
        milesPerGallon = Double.parseDouble(inputString);

        inputString = JOptionPane.showInputDialog("Enter Anticipated Average Cost of Gas");
        averageCostOfGas = Double.parseDouble(inputString);

        // Calculate Data
        costOfTrip = totalMiles / milesPerGallon * averageCostOfGas;

        // Display the results.
        JOptionPane.showMessageDialog(null, "Estimated cost of trip is $" + moneyFormat.format(costOfTrip));

        // close the JOptionPane thread.
        System.exit(0);
    }
}
