package csit105demochapter02f20;

/**
 * example of using a cast to handle int division issue See IntDivisionIssue for
 * example of issue.
 *
 * @author Tony Gaddis - modified by Stephen Brower
 */
public class IntDivisionCast {

    /**
     * The main method is the program's starting point.
     *
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        // declare variables
        int numberVotesBob, numberVotesPat, totalNumberVotes;
        double percentVotesBob, percentVotesPat;

        // get data
        numberVotesBob = 145;
        numberVotesPat = 197;

        // calc data
        totalNumberVotes = numberVotesBob + numberVotesPat;

        // integer division avoided by cast (double) "pretends" that
        // numberVotesBob is a double for calculation
        percentVotesBob = (double) numberVotesBob / totalNumberVotes * 100;
        percentVotesPat = (double) numberVotesPat / totalNumberVotes * 100;

        // display results
        System.out.printf("\n%-12s %6.2f%%\n", "% Votes Bob", percentVotesBob);
        System.out.printf("\n%-12s %6.2f%%\n", "% Votes Pat", percentVotesPat);
    }
}

/* output is:

% Votes Bob   42.40%

% Votes Pat   57.60%
 */
