package csit105demochapter02f20;

import java.util.Scanner;  // Needed for the Scanner class

/**
 * This program demonstrates the Scanner class and it demonstrates the use of
 * printf
 *
 * @author Tony Gaddis and Stephen Brower
 */
public class PayrollFormatted {

    /**
     * The main method is the program's starting point.
     *
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        String name;         // To hold a name
        int hours;           // Hours worked
        /* Note: in reality, hours worked
                              can be a decimal, this is just meant
                              to be an example of int */
        double payRate, // Hourly pay rate
                grossPay;     // Gross pay

        // Create a Scanner object to read input.
        Scanner keyboard = new Scanner(System.in);

        // Get the user's name.
        System.out.print("What is your name? ");
        name = keyboard.nextLine();

        // Get the number of hours worked this week.
        System.out.print("How many hours did you work this week? ");
        hours = keyboard.nextInt();

        // Get the user's hourly pay rate.
        System.out.print("What is your hourly pay rate? ");
        payRate = keyboard.nextDouble();

        // Calculate the gross pay.
        grossPay = hours * payRate;

        // Display the resulting information.
        System.out.printf("Hello %s, your gross pay is $%8.2f\n", name, grossPay);
    }
}
